<?php

namespace App\Http\Controllers\Api\Galerias;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use App\Models\Banners;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;

class BannersHomeController extends Controller {
    public function getBannersHome() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Banners::where("vc_interior", "home")->orderBy("i_order", "ASC")->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
