<?php

namespace App\Http\Controllers\Api\Home;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\Resenas;

class ResenasController extends Controller {
    public function getResenas() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $resenas = Resenas::select(
            		"id", 
            		"vc_cliente", 
            		"tx_resena", 
            		"i_stars", 
            		"i_order", 
            		"created_at"
            	)
            	->where("b_status", 1)
            	->orderBy("i_order", "asc")
            	->get();

            $response = array(
                "error" => true,
                "message" => "Sin error", 
                "data" => $resenas
            );
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta", 
                "data" => $e->getMessage()
            );
        }

        return response()
            ->json($response, 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
