<?php

namespace App\Http\Controllers\Api\Puertas;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PuertasController extends Controller {
    public function index() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $puertas = DB::table("tb_puertas")
        ->select("tb_puertas.id", "tb_puertas.vc_modelo", "tb_puertas.vc_url", DB::raw("FORMAT(tb_puertas.f_precio, 2) as f_precio"), "tb_puertas.i_descuento", "tb_puertas.i_cat", "cat_puertas.vc_puerta", "tb_productos_galleria.vc_imagen")
        ->join("cat_puertas", "cat_puertas.id", "=", "tb_puertas.i_cat")
        ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_puertas.id")
        ->where("tb_productos_galleria.i_catalogo", "1")
        ->whereNull("tb_puertas.deleted_at")
        ->whereNull("cat_puertas.deleted_at")
        ->whereNull("tb_productos_galleria.deleted_at")
        ->groupBy("tb_puertas.id")
        ->orderby("tb_puertas.id")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $puertas
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function create() {
        //
    }

    public function store(Request $request) {
        //
    }

    public function show($id) {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $puertas = DB::table("tb_puertas")
        ->select("tb_puertas.id", "tb_puertas.vc_modelo", "tb_puertas.vc_url", DB::raw("FORMAT(tb_puertas.f_precio, 2) as f_precio"), "tb_puertas.i_descuento", "tb_puertas.i_cat", "cat_puertas.vc_puerta", "tb_productos_galleria.vc_imagen")
        ->join("cat_puertas", "cat_puertas.id", "=", "tb_puertas.i_cat")
        ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_puertas.id")
        ->where("tb_productos_galleria.i_catalogo", "1")
        ->where("tb_puertas.i_cat", $id)
        ->whereNull("tb_puertas.deleted_at")
        ->whereNull("cat_puertas.deleted_at")
        ->whereNull("tb_productos_galleria.deleted_at")
        ->groupBy("tb_puertas.id")
        ->orderby("tb_puertas.id")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $puertas
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function showUrl($url) {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        // DB::connection()->enableQueryLog();
        $puertas = DB::table("tb_puertas")
        ->select("tb_puertas.id", "tb_puertas.vc_modelo", "tb_puertas.vc_url", DB::raw("FORMAT(tb_puertas.f_precio, 2) as f_precio"), "tb_puertas.i_descuento", "tb_puertas.i_cat", "cat_puertas.vc_puerta", "tb_productos_galleria.vc_imagen", "tb_puertas.tx_descripcion", "tb_puertas.tx_caracteristicas", "tb_puertas.vc_ficha", "tb_puertas.f_alto", "tb_puertas.f_ancho", "tb_puertas.f_peso")
        ->join("cat_puertas", "cat_puertas.id", "=", "tb_puertas.i_cat")
        ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_puertas.id")
        ->where("tb_productos_galleria.i_catalogo", "1")
        ->where("tb_puertas.vc_url", $url)
        ->whereNull("tb_puertas.deleted_at")
        ->whereNull("cat_puertas.deleted_at")
        ->whereNull("tb_productos_galleria.deleted_at")
        ->orderby("tb_puertas.id")
        ->get();
        // dd( DB::getQueryLog() );

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $puertas
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function edit($id) {
        //
    }

    public function update(Request $request, $id) {
        //
    }

    public function destroy($id) {
        //
    }

    public function getCarousel() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $puertas = DB::table("tb_puertas")
            ->select("tb_puertas.id", ".i_cat", "tb_puertas.vc_modelo", "tb_puertas.b_mas_vendido", "tb_puertas.vc_url", DB::raw("FORMAT(tb_puertas.f_precio, 2) as f_precio"), "tb_puertas.i_descuento", "tb_productos_galleria.vc_imagen", "cat_puertas.vc_puerta")
            ->join("cat_puertas", "cat_puertas.id", "=", "tb_puertas.i_cat")
            ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_puertas.id")
            ->where("tb_productos_galleria.i_catalogo", "1")
            ->whereNull("tb_puertas.deleted_at")
            ->whereNull("cat_puertas.deleted_at")
            ->whereNull("tb_productos_galleria.deleted_at")
            ->groupBy("tb_puertas.id")
            ->orderby("tb_puertas.id")
            ->get();

            $response = array(
                "error" => true,
                "message" => "Sin error", 
                "data" => $puertas
            );
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta", 
                "data" => $e->getMessage()
            );
        }

        return response()
            ->json($response, 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
