<?php

namespace App\Http\Controllers\Back\Dashboard\Catalogos\PuertasAMedida;

use App\Http\Controllers\Controller;
use App\Library\URI;
use Illuminate\Http\Request;
use App\Http\Requests\Back\Dashboard\Catalogos\PuertasAMedida\Fijos\CreateRequest;
use App\Http\Requests\Back\Dashboard\Catalogos\PuertasAMedida\Fijos\EditRequest;
use Illuminate\Support\Facades\File;
use App\Models\Fijos;

class FijosController extends Controller {
    public function index(){
        //DB::enableQueryLog();
        $data = Fijos::get();
        //dd(\DB::getQueryLog());
        return view('back.dashboard.puertasmedida.fijos.index', ["data" => $data, "permitions" => URI::checkPermitions()]);
    }

    public function create(){
        return view('back.dashboard.puertasmedida.fijos.create', ["permitions" => URI::checkPermitions()]);
    }

    public function store(CreateRequest $r){
        $response = array( 'status' => false, 'message' => "No hemos podido almacenar los datos, intentalo nuevamente." );

        try {
            $fijos = new Fijos;
            $fijos->vc_nombre = $r->name;
            $fijos->f_precio = number_format($r->precio, 2, '.', '');
            $fijos->b_status = ( $r->status == null ) ? 0 : 1;

            //Batiente
                //ox
                if( $r->has("ox_batiente") ) {
                    $fName = $r->file('ox_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_ox_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //xo
                if( $r->has("xo_batiente") ) {
                    $fName = $r->file('xo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_xo_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osx
                if( $r->has("osx_batiente") ) {
                    $fName = $r->file('osx_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osx_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //oxo
                if( $r->has("oxo_batiente") ) {
                    $fName = $r->file('oxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_oxo_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osox
                if( $r->has("osox_batiente") ) {
                    $fName = $r->file('osox_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osox_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osxo
                if( $r->has("osxo_batiente") ) {
                    $fName = $r->file('osxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osxo_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osoxo
                if( $r->has("osoxo_batiente") ) {
                    $fName = $r->file('osoxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osoxo_batiente = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

            //Pivote
                //ox
                if( $r->has("ox_pivote") ) {
                    $fName = $r->file('ox_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_ox_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //xo
                if( $r->has("xo_pivote") ) {
                    $fName = $r->file('xo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_xo_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osx
                if( $r->has("osx_pivote") ) {
                    $fName = $r->file('osx_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osx_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //oxo
                if( $r->has("oxo_pivote") ) {
                    $fName = $r->file('oxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_oxo_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osox
                if( $r->has("osox_pivote") ) {
                    $fName = $r->file('osox_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osox_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osxo
                if( $r->has("osxo_pivote") ) {
                    $fName = $r->file('osxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osxo_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osoxo
                if( $r->has("osoxo_pivote") ) {
                    $fName = $r->file('osoxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osoxo_pivote = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

            //Doble
                //ox
                if( $r->has("ox_doble") ) {
                    $fName = $r->file('ox_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_ox_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //xo
                if( $r->has("xo_doble") ) {
                    $fName = $r->file('xo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_xo_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osx
                if( $r->has("osx_doble") ) {
                    $fName = $r->file('osx_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osx_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //oxo
                if( $r->has("oxo_doble") ) {
                    $fName = $r->file('oxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_oxo_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osox
                if( $r->has("osox_doble") ) {
                    $fName = $r->file('osox_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osox_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osxo
                if( $r->has("osxo_doble") ) {
                    $fName = $r->file('osxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osxo_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

                //osoxo
                if( $r->has("osoxo_doble") ) {
                    $fName = $r->file('osoxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_osoxo_doble = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }

            //Preview
                //Preview
                if( $r->has("preview") ) {
                    $fName = $r->file('preview');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);
                    $fijos->vc_img_preview = "/images/catalogos/puertasamedida/fijos/" . $fileName;
                }
            
            if ( $fijos->save() ) {
                $response = array( 
                    'status' => true, 
                    'message' => "Los datos se han almacenado correctamente.", 
                    'url' => route('fijos.index') 
                );
            }

        } catch ( QueryException $e ) {
           if ( $e->errorInfo[1] == "1062" ) {
                $error = "El producto ingresado está duplicado";
            } else {
                $error = $e->getMessage();
            }
            $response = array( 'status' => false, 'message' => $error );
        }
        return response()->json($response);
    }

    public function show($id){
        //
    }

    public function edit($id){
        $data = Fijos::where("id", base64_decode($id))->get();
        return view('back.dashboard.puertasmedida.fijos.edit', ["data" => $data, "permitions" => URI::checkPermitions()]);
    }

    public function update(EditRequest $r, $id){
        $response = array( 'status' => false, 'message' => "No hemos podido almacenar los datos, intentalo nuevamente." );    

        try {

            $check = Fijos::where("id", base64_decode($id))->get();
            
            $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                "vc_nombre" => $r->name,
                "f_precio" => number_format($r->precio, 2, '.', ''),
                "b_status" => ( $r->status == null ) ? 0 : 1
            ]);


            //OX Batiente
                if( $r->has("ox_batiente") ) {
                    $path = ltrim($check[0]->vc_img_ox_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('ox_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_ox_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //XO Batiente
                if( $r->has("xo_batiente") ) {
                    $path = ltrim($check[0]->vc_img_xo_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('xo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_xo_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("osx_batiente") ) {
                    $path = ltrim($check[0]->vc_img_osx_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osx_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osx_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("oxo_batiente") ) {
                    $path = ltrim($check[0]->vc_img_oxo_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('oxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_oxo_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("osox_batiente") ) {
                    $path = ltrim($check[0]->vc_img_osox_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osox_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osox_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("osxo_batiente") ) {
                    $path = ltrim($check[0]->vc_img_osxo_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osxo_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("osoxo_batiente") ) {
                    $path = ltrim($check[0]->vc_img_osoxo_batiente, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osoxo_batiente');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osoxo_batiente" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("ox_pivote") ) {
                    $path = ltrim($check[0]->vc_img_ox_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('ox_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_ox_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_batiente
                if( $r->has("xo_pivote") ) {
                    $path = ltrim($check[0]->vc_img_xo_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('xo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_xo_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_pivote
                if( $r->has("osx_pivote") ) {
                    $path = ltrim($check[0]->vc_img_osx_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osx_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osx_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //oxo_pivote
                if( $r->has("oxo_pivote") ) {
                    $path = ltrim($check[0]->vc_img_oxo_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('oxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_oxo_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osox_pivote
                if( $r->has("osox_pivote") ) {
                    $path = ltrim($check[0]->vc_img_osox_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osox_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osox_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osxo_pivote
                if( $r->has("osxo_pivote") ) {
                    $path = ltrim($check[0]->vc_img_osxo_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osxo_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osoxo_pivote
                if( $r->has("osoxo_pivote") ) {
                    $path = ltrim($check[0]->vc_img_osoxo_pivote, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osoxo_pivote');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osoxo_pivote" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //ox_doble
                if( $r->has("ox_doble") ) {
                    $path = ltrim($check[0]->vc_img_ox_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('ox_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_ox_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //xo_doble
                if( $r->has("xo_doble") ) {
                    $path = ltrim($check[0]->vc_img_xo_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('xo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_xo_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osx_doble
                if( $r->has("osx_doble") ) {
                    $path = ltrim($check[0]->vc_img_osx_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osx_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osx_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //oxo_doble
                if( $r->has("oxo_doble") ) {
                    $path = ltrim($check[0]->vc_img_oxo_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('oxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_oxo_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osox_doble
                if( $r->has("osox_doble") ) {
                    $path = ltrim($check[0]->vc_img_osox_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osox_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osox_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osox_doble
                if( $r->has("osxo_doble") ) {
                    $path = ltrim($check[0]->vc_img_osxo_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osxo_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //osoxo_doble
                if( $r->has("osoxo_doble") ) {
                    $path = ltrim($check[0]->vc_img_osoxo_doble, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('osoxo_doble');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_osoxo_doble" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }

            //preview
                if( $r->has("preview") ) {
                    $path = ltrim($check[0]->vc_img_preview, '/');
                    if ( File::exists($path) ) {
                        unlink( $path );
                    }
                    $fName = $r->file('preview');
                    $fileName = MD5($fName . uniqid() . microtime()) . "." . $fName->getClientOriginalExtension();
                    $fName->move("images/catalogos/puertasamedida/fijos", $fileName);

                    $fijosUpdate = Fijos::where("id", base64_decode($id))->update([
                        "vc_img_preview" => "/images/catalogos/puertasamedida/fijos/" . $fileName,
                    ]);
                }
          

            $response = array( 
                'status' => true, 
                'message' => "Los datos se han almacenado correctamente.", 
                'url' => route('fijos.index') 
            );
        } catch ( QueryException $e ) {
            if ( strpos($e->errorInfo[2], "i_tipo") ) {
                $error = "El campo 'Tipo' en galería es obligatorio";
            } else if ( $e->errorInfo[1] == "1062" ) {
                $error = "El producto ingresado está duplicado";
            } else {
                $error = $e->getMessage();
            }
            $response = array( 'status' => false, 'message' => $error );
        }

        return response()->json($response);
    }

    public function destroy($id){
        $response = array( 'status' => false, 'message' => "No hemos podido almacenar los datos, intentalo nuevamente." );

        try {
            $fijos = Fijos::find(base64_decode($id));

            if( $fijos != null ) {

                $path = ltrim($fijos->vc_img_ox_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_xo_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osx_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_oxo_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osox_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osxo_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osoxo_batiente, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_ox_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_xo_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osx_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_oxo_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osox_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osxo_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osoxo_pivote, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_ox_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_xo_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osx_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_oxo_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osox_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osxo_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_osoxo_doble, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }
                $path = ltrim($fijos->vc_img_preview, '/');
                if ( File::exists($path) ) {
                    unlink( $path );
                }

                if( $fijos->delete() ) {
                    $response = [
                        'message' => 'Se ha eliminado el registro correctamente.',
                        'status' => true,
                        'url' => route('fijos.index') 
                    ];
                }
            } else {
                $response = [
                    'message' => 'No hemos podido eliminar el registro, intentalo nuevamente.',
                    'status' => false
                ];
            }
        } catch ( QueryException $e ) {
            $response = array( 'status' => false, 'message' => $e->getMessage() );
        }

        return response()->json($response);
    }
}
