<?php



namespace App\Http\Requests\Back\Dashboard\Catalog;



use Illuminate\Foundation\Http\FormRequest;



class ProductRequest extends FormRequest

{

    /**

     * Determine if the user is authorized to make this request.

     *

     * @return bool

     */

    public function authorize()

    {

        return true;

    }



    /**

     * Get the validation rules that apply to the request.

     *

     * @return array

     */

    public function rules()

    {

        return [

            'nombre' => 'required',

            'codigo_producto' => 'required',

            'tipo_aplicacion' => 'required',

            'descripcion' => 'required',

            //'palabrasClave' => 'required',

            //'fichaTecnicaDescripcion' => 'required',

            'categoria' => 'required|integer',

            'marca' => 'required|integer',

            //'fichaTecnica' => 'required|max:5000',

            //'manualDeInstalacion' => 'required|max:5000',

//            'precio' => 'required|numeric',

//            'descuento' => 'required|numeric',

            //'peso' => 'required|numeric',

//            'cantidad' => 'required|integer',

//            'minimo' => 'required|integer',

            //'video' => 'required',

            'imagenUno' => 'required|image|max:1000',

            //'imagenDos' => 'required|image|max:1000',

            //'imagenTres' => 'required|image|max:1000',

            //'alto' => 'required|numeric',

            //'ancho' => 'required|numeric',

            //'largo' => 'required|numeric',

            //'beneficios' => 'required',

            //'usos' => 'required',

            //'precauciones' => 'required'

        ];

    }



    public function messages()

    {

        return [

            "nombre.required"          => "El campo 'Nombre' es requerido.",

            "codigo_producto.required" => "El campo 'Código de producto' es requerido.",

            "tipo_aplicacion.required" => "El campo 'Tipo de aplicación' es requerido", 

            "descripcion.required"     => "El campo 'Descripción' es requerido.",

            "categoria.required"       => "El campo 'Categoría' es requerido.",

            "marca.required"           => "El campo 'Marca' es requerido.",

            "precio.required"          => "El campo 'Precio' es requerido.",

            "descuento.required"       => "El campo 'Descuento' es requerido.",

            "cantidad.required"        => "El campo 'Cantidad' es requerido.",

            "minimo.required"          => "El campo 'Minimo' es requerido.",

            "imagenUno.required"       => "El campo 'Imagen 1' es requerido.",

        ];

    }



}

