<?php

namespace App\Http\Requests\Back\Dashboard\Catalogos\Productos;

use Illuminate\Foundation\Http\FormRequest;

class EditRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'categoria' => 'required',
            'producto' => 'required',
            'codigoProducto' => 'required',
            'largo' => 'required',
            'alto' => 'required',
            'ancho' => 'required',
            'peso' => 'required',
            'precio' => 'required',
        ];
    }

    public function messages() {
        return [
            "categoria.required" => "El campo 'Categoría' es requerido.",
            "producto.required" => "El campo 'Producto' es requerido.",
            "codigoProducto.required" => "El campo 'Código de producto' es requerido.",
            'largo' => 'required',
            'alto' => 'required',
            'ancho' => 'required',
            'peso' => 'required',
            "precio.required"     => "El campo 'Precio' es requerido.",
        ];
    }
}