<?php

namespace App\Http\Requests\Back\Dashboard\Catalogos\PuertasAMedida\Fijos;

use Illuminate\Foundation\Http\FormRequest;

class CreateRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'name' => 'required',
            'precio' => 'required',
            'status' => 'required',
            'ox_batiente' => 'required',
            'xo_batiente' => 'required',
            'osx_batiente' => 'required',
            'oxo_batiente' => 'required',
            'osox_batiente' => 'required',
            'osxo_batiente' => 'required',
            'osoxo_batiente' => 'required',
            'ox_pivote' => 'required',
            'xo_pivote' => 'required',
            'osx_pivote' => 'required',
            'oxo_pivote' => 'required',
            'osox_pivote' => 'required',
            'osxo_pivote' => 'required',
            'osoxo_pivote' => 'required',
            'ox_doble' => 'required',
            'xo_doble' => 'required',
            'osx_doble' => 'required',
            'oxo_doble' => 'required',
            'osox_doble' => 'required',
            'osxo_doble' => 'required',
            'osoxo_doble' => 'required',
            'preview' => 'required'

        ];
    }

    public function messages() {
        return [
            "name.required" => "El campo 'Nombre de fijo' es requerido.",
            "precio.required" => "El campo 'Precio' es requerido.",
            "status.required"     => "El campo 'Status' es requerido.",
            'ox_batiente.required' => "El campo 'OX Batiente' es requerido.",
            'xo_batiente.required' => "El campo 'XO Batiente' es requerido.",
            'osx_batiente.required' => "El campo 'OSX Batiente' es requerido.",
            'oxo_batiente.required' => "El campo 'OXO Batiente' es requerido.",
            'osox_batiente.required' => "El campo 'OSOX Batiente' es requerido.",
            'osxo_batiente.required' => "El campo 'OSXO Batiente' es requerido.",
            'osoxo_batiente.required' => "El campo 'OSOXO Batiente' es requerido.",
            'ox_pivote.required' => "El campo 'OX Pivote' es requerido.",
            'xo_pivote.required' => "El campo 'XO Pivote' es requerido.",
            'osx_pivote.required' => "El campo 'OSX Pivote' es requerido.",
            'oxo_pivote.required' => "El campo 'OXO Pivote' es requerido.",
            'osox_pivote.required' => "El campo 'OSOX Pivote' es requerido.",
            'osxo_pivote.required' => "El campo 'OSXO Pivote' es requerido.",
            'osoxo_pivote.required' => "El campo 'OSOXO Pivote' es requerido.",
            'ox_doble.required' => "El campo 'OX Doble' es requerido.",
            'xo_doble.required' => "El campo 'XO Doble' es requerido.",
            'osx_doble.required' => "El campo 'OSX Doble' es requerido.",
            'oxo_doble.required' => "El campo 'OXO Doble' es requerido.",
            'osox_doble.required' => "El campo 'OSOX Doble' es requerido.",
            'osxo_doble.required' => "El campo 'OSXO Doble' es requerido.",
            'osoxo_doble.required' => "El campo 'OSOXO Doble' es requerido.",
            'preview.required' => "El campo 'Preview' es requerido."
        ];
    }
}