<?php

namespace App\Http\Requests\Back\System\User;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class EditRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return (Auth::check() ? true : false);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'nombre' => 'required|min:3',
            'email' => 'required|email|unique:users,email,'.base64_decode($this->route()->parameter('id')).',id',
            'perfil' => 'required',
            'password' => 'confirmed',
        ];
    }

    public function messages() {
        return [
            "nombre.required"          => "El campo 'Nombre' es requerido.",
            "nombre.min"          => "El campo 'Nombre' debe tener al menos 3 caractéres.",
            "email.required" => "El campo 'Email' es requerido.",
            "email.unique" => "El campo 'Email' está repetido.",
            "perfil.required" => "El campo 'Perfil' es requerido", 
            "password.required"     => "El campo 'Contraseña' es requerido.",
            "password.min"     => "El campo 'Contraseña' debe tener al menos 8 caractéres.",
            "password.confirmed"     => "El campo 'Confirmar Contraseña' debe ser igual a contraseña.",
        ];
    }

}

