@extends('back.layout.dashboard')
@section('contentTitle', 'Puertas')
@section('topButton')
    @if( $permitions["create"] )
        <a href="{{ route('puertas.create') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fa fa-plus-circle"></i> Nueva Puerta</button></a>
    @endif
@stop
{{-- Main Content --}}
@section('content_dashboard')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Categoría</th>
                                    <th>Modelo</th>
                                    <th>Precio</th>
                                    <th>Imagen</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($puertas as $item)
                                    <tr>
                                        <td>{{ $item->id }}</td>
                                        <td>{{ $item->vc_puerta }}</td>
                                        <td>{{ $item->vc_modelo }}</td>
                                        <td>{{ $item->f_precio }}</td>
                                        <td>
                                            @if( $item->vc_imagen == "" )
                                                <img src="{{ url("/images/catalogos/puertas/no-disponible.jpg") }}" alt="Imagen galeria" class="w-50" />
                                            @else
                                                <img src="{{ url("".$item->vc_imagen) }}" alt="Imagen galeria" class="w-50" />
                                            @endif
                                        </td>
                                        <td>
                                            @if( $permitions["edit"] )
                                                <a href="{{ route('puertas.edit', base64_encode($item->id)) }}"><button type="button" class="btn waves-effect waves-light btn-primary"><i class="fas fa-edit"></i> Editar</button></a>
                                            @endif
                                            @if( $permitions["delete"] )
                                                <a href="{{ route('puertas.delete',  base64_encode($item->id)) }}" class="btn-delete"><button type="button" class="btn waves-effect waves-light btn-danger"><i class="fas fa-minus-circle"></i> Eliminar</button></a>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
{{-- Page JS --}}
@section('JS')
    {{ Html::script('system/js/table.js')  }}
@stop