@extends('back.layout.dashboard')
@section('contentTitle', 'Editar elemento')
@section('topButton')
    <a href="{{ route('elementos.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop
@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => array('elementos.update', base64_encode($data[0]->id)), 'class' => 'form-horizontal', 'files' => true]) }}
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="name">*Nombre del elemento:</label>
                                <input type="text" name="name" id="name" class="form-control" placeholder="ej. Deck Black" value="{{ $data[0]->vc_nombre }}" >
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="tipoElemento">*Tipo de elemento:</label>
                                <select id="tipoElemento" name="tipoElemento" class="form-control">
                                    <option value="">-- Selecciona tipo de elemento --</option>
                                    @foreach( $catElementos as $item )
                                        <option value="{{ $item->id }}" {{ $item->id == $data[0]->id_elemento_tipo ? 'selected' : '' }} >{{ $item->vc_elemento }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="batiente">*Elemento para puerta batiente:</label>
                                <input type="file" name="batiente" id="batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_batiente) }}" alt="Elemento para puerta sencilla" class="w-50 mb-3" />
                                <br />
                                <label for="precio_batiente">*Precio batiente:</label>
                                <input type="text" name="precio_batiente" id="precio_batiente" value="{{ $data[0]->f_precio_batiente }}" class="form-control" placeholder="ej. 25000.00">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="doble">*Elemento para puerta doble:</label>
                                <input type="file" name="doble" id="doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_doble) }}" alt="Elemento para puerta sencilla" class="w-50 mb-3" />
                                <br />
                                <label for="precio_doble">*Precio doble:</label>
                                <input type="text" name="precio_doble" id="precio_doble" value="{{ $data[0]->f_precio_doble }}" class="form-control" placeholder="ej. 25000.00">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="pivote">*Elemento para puerta pivote:</label>
                                <input type="file" name="pivote" id="pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_pivote) }}" alt="Elemento para puerta sencilla" class="w-50 mb-3" />
                                <br />
                                <label for="precio_pivote">*Precio pivote:</label>
                                <input type="text" name="precio_pivote" id="precio_pivote" value="{{ $data[0]->f_precio_pivote }}" class="form-control" placeholder="ej. 25000.00">
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <label for="batiente_fijo">*Elemento para puerta batiente con fijo:</label>
                                <input type="file" name="batiente_fijo" id="batiente_fijo" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_batiente_fijo) }}" alt="Elemento para puerta sencilla" class="w-50 mb-3" />
                                <br />
                                <label for="precio_batiente_fijo">*Precio batiente con fijo:</label>
                                <input type="text" name="precio_batiente_fijo" id="precio_batiente_fijo" value="{{ $data[0]->f_precio_batiente_fijo }}" class="form-control" placeholder="ej. 25000.00">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="preview">*Imagen preview:</label>
                                <input type="file" name="preview" id="preview" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_preview) }}" alt="Elemento para puerta sencilla" class="mw-50" style="max-height: 250px;" />
                            </div>
                        </div>
                        <div class="col-6">
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-6">
                            
                        </div>
                        <div class="col-6">
                            <div class="form-group d-flex justify-content-around">
                                <label for="premium">Activo</label>
                                <div class="checkbox-wrapper-8">
                                  <input class="tgl tgl-skewed" name="status" id="cb3-8" type="checkbox" {{ ( $data[0]->b_status == 1 ) ? 'checked' : '' }} />
                                  <label class="tgl-btn" data-tg-off="NO" data-tg-on="SI" for="cb3-8"></label>
                                </div>
                            </div>
                        </div>
                    </div>


                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop
@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
@section('CSS')
    <style>
      .checkbox-wrapper-8 .tgl {
        display: none;
      }
      .checkbox-wrapper-8 .tgl,
      .checkbox-wrapper-8 .tgl:after,
      .checkbox-wrapper-8 .tgl:before,
      .checkbox-wrapper-8 .tgl *,
      .checkbox-wrapper-8 .tgl *:after,
      .checkbox-wrapper-8 .tgl *:before,
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        box-sizing: border-box;
      }
      .checkbox-wrapper-8 .tgl::-moz-selection,
      .checkbox-wrapper-8 .tgl:after::-moz-selection,
      .checkbox-wrapper-8 .tgl:before::-moz-selection,
      .checkbox-wrapper-8 .tgl *::-moz-selection,
      .checkbox-wrapper-8 .tgl *:after::-moz-selection,
      .checkbox-wrapper-8 .tgl *:before::-moz-selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::-moz-selection,
      .checkbox-wrapper-8 .tgl::selection,
      .checkbox-wrapper-8 .tgl:after::selection,
      .checkbox-wrapper-8 .tgl:before::selection,
      .checkbox-wrapper-8 .tgl *::selection,
      .checkbox-wrapper-8 .tgl *:after::selection,
      .checkbox-wrapper-8 .tgl *:before::selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::selection {
        background: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        outline: 0;
        display: block;
        width: 4em;
        height: 2em;
        position: relative;
        cursor: pointer;
        -webkit-user-select: none;
           -moz-user-select: none;
            -ms-user-select: none;
                user-select: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        position: relative;
        display: block;
        content: "";
        width: 50%;
        height: 100%;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        display: none;
      }
      .checkbox-wrapper-8 .tgl:checked + .tgl-btn:after {
        left: 50%;
      }

      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn {
        overflow: hidden;
        transform: skew(-10deg);
        -webkit-backface-visibility: hidden;
                backface-visibility: hidden;
        transition: all 0.2s ease;
        font-family: sans-serif;
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        transform: skew(10deg);
        display: inline-block;
        transition: all 0.2s ease;
        width: 100%;
        text-align: center;
        position: absolute;
        line-height: 2em;
        font-weight: bold;
        color: #fff;
        text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after {
        left: 100%;
        content: attr(data-tg-on);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        left: 0;
        content: attr(data-tg-off);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active {
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active:before {
        left: -10%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn {
        background: #86d993;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:before {
        left: -100%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:active:after {
        left: 10%;
      }
    </style>
@stop